Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::cartesian_product_fn Struct Reference

## Public Member Functions
constexpr empty_view< std::tuple<> > | operator() () const noexcept
template<typename... Rngs>
constexpr cartesian_product_view< all_t< Rngs >... > | operator() (Rngs &&... rngs) const

## Member Function Documentation

## ◆ operator()()

template<typename... Rngs>

constexpr cartesian_product_view<all_t<Rngs>...> ranges::views::cartesian_product_fn::operator() | ( | Rngs &&... | rngs | ) | const
| constexpr

Precondition
  requires `(sizeof...(Rngs) != 0) && concepts::and_v<(forward_range<Rngs> && viewable_range<Rngs>)...>`